package com.miaxis;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动程序
 *
 * @author miaxis
 */
@EnableFeignClients
@EnableScheduling//开启定时任务注解
@EnableCaching
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class SdjkApplication
{
    public static void main(String[] args)
    {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(SdjkApplication.class, args);
        System.out.println(" 速达驾考启动！   ლ(´ڡ`ლ)ﾞ  ");
    }
}
