package com.miaxis.app.controller.email;

import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.email.dto.EmailAddDTO;
import com.miaxis.email.service.IEmailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 【模拟考成绩】Controller
 *
 * @author miaxis
 * @date 2021-08-23
 */
@RestController
@RequestMapping(Constants.STUDENT_PREFIX+"/email/info")
@Api(tags={"【app-发送邮件】"})
public class EmailController extends BaseController{
    @Autowired
    private IEmailService emailService;


    /**
     * 新增模拟考成绩
     */
    @PostMapping
    @ApiOperation("新增邮件")
    public Response add(@RequestBody EmailAddDTO emailAddDTO) throws Exception {

        emailService.sendEmail(emailAddDTO);

        return Response.success();
    }

}
