package com.miaxis.app.controller.vip;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.exception.CustomException;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.common.utils.StringUtils;
import com.miaxis.user.service.IUserInfoService;
import com.miaxis.vip.domain.VipCode;
import com.miaxis.vip.service.IVipCodeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 */
@RestController
@RequestMapping(Constants.STUDENT_PREFIX+"/recommend/code")
@Api(tags={"【app-推荐码】"})
public class RecommendCodeController extends BaseController{


    @Autowired
    private IUserInfoService userInfoService;
    @GetMapping
    @ApiOperation("验证推荐码是否有效")
    public Response validateRecommendCode(String recommendCode){

        if (StringUtils.isEmpty(recommendCode)){
            throw new CustomException("推荐码不能为空");
        }
        QueryWrapper<UserInfo> queryWrapper = new QueryWrapper<UserInfo>();
        queryWrapper.eq("recommend_code", recommendCode);
        UserInfo userInfo = userInfoService.getOne(queryWrapper);
        if (userInfo == null){
            throw new CustomException("该推荐码不存在");
        }
        //当前学员更新绑定推荐码
        UserInfo student = SecurityUtils.getLoginUser().getStudent();
        student.setBindRecommendCode(recommendCode);
        userInfoService.updateById(student);
        return Response.success("验证成功");
    }



}
