package com.miaxis.gzh.controller;

import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.wx.service.IWxMenuService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wwl
 * @version 1.0
 * @date 2021/11/3 9:18
 */
@RestController
@RequestMapping("/pc/menu")
@Api(tags={"【H5-微信公众号菜单】"})
@AllArgsConstructor
public class WxMenuController extends BaseController {

    private final IWxMenuService wxMenuService;


//    /**
//     * 查询微信公众号菜单列表
//     */
//    @PreAuthorize("@ss.hasPermi('menu:info:list')")
//    @GetMapping("/list")
//    @ApiOperation("查询微信公众号菜单列表")
//    public Response<List<WxMenuVo>> list(){
//        return wxMenuService.selectWxMenuTreeList();
//    }
//
//
//    /**
//     * 获取微信公众号菜单详细信息
//     */
//    @PreAuthorize("@ss.hasPermi('menu:info:query')")
//    @GetMapping(value = "/{id}")
//    @ApiOperation("获取微信公众号菜单详细信息")
//    public Response<WxMenu> getInfo(
//            @ApiParam(name = "id", value = "微信公众号菜单参数", required = true)
//            @PathVariable("id") Long id
//    ){
//        return Response.success(wxMenuService.getById(id));
//    }
//
//    /**
//     * 新增微信公众号菜单
//     */
//    @PreAuthorize("@ss.hasPermi('menu:info:add')")
//    @Log(title = "微信公众号菜单", businessType = BusinessTypeEnum.INSERT)
//    @PostMapping
//    @ApiOperation("新增微信公众号菜单")
//    public Response add(@RequestBody WxMenu wxMenu){
//        return wxMenuService.saveMenu(wxMenu);
//    }
//
//    /**
//     * 修改微信公众号菜单
//     */
//    @PreAuthorize("@ss.hasPermi('menu:info:edit')")
//    @Log(title = "微信公众号菜单", businessType = BusinessTypeEnum.UPDATE)
//    @PutMapping
//    @ApiOperation("修改微信公众号菜单")
//    public Response edit(@RequestBody WxMenu wxMenu){
//        return wxMenuService.updateMenuById(wxMenu);
//    }
//
//    /**
//     * 删除微信公众号菜单
//     */
//    @PreAuthorize("@ss.hasPermi('menu:info:remove')")
//    @Log(title = "微信公众号菜单", businessType = BusinessTypeEnum.DELETE)
//    @DeleteMapping("/{ids}")
//    @ApiOperation("删除微信公众号菜单")
//    public  Response remove(
//            @ApiParam(name = "ids", value = "微信公众号菜单ids参数", required = true)
//            @PathVariable Long[] ids
//    ){
//        return wxMenuService.removeMenuByIds(ids);
//    }

    /**
     * 一键更新公众号菜单
     */
    @GetMapping("/sendMenu")
    @ApiOperation("一键更新公众号菜单--手动修改数据库操作")
    public Response sendMenu(){
        return wxMenuService.sendMenuBySql();
    }


}
