package com.miaxis.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@TableName("user_info")
@ApiModel(value = "UserInfo", description = "用户对象 user_info")
public class UserInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;


    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("phone")
    @ApiModelProperty(value = "手机号码")
    private String phone;



    /** app头像地址 */
    @Excel(name = "app头像地址")
    @TableField("head_image")
    @ApiModelProperty(value = "app头像地址")
    private String headImage;

    /** app昵称 */
    @Excel(name = "app昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "app昵称")
    private String nickName;


    /** 微信openid */
    @Excel(name = "app端openid")
    @TableField("app_openid")
    @ApiModelProperty(value = "app端openid")
    private String appOpenid;

    /** 微信openid */
    @Excel(name = "小程序端openid")
    @TableField("xcx_openid")
    @ApiModelProperty(value = "小程序端openid")
    private String xcxOpenid;

    /** 微信openid */
    @Excel(name = "公众号端openid")
    @TableField("gzh_openid")
    @ApiModelProperty(value = "公众号端openid")
    private String gzhOpenid;





    /** 0 启用 1禁用 */
    @Excel(name = "0 启用 1禁用")
    @TableField("status")
    @ApiModelProperty(value = "0 启用 1禁用")
    private Integer status;

    /** 0 否 1是 */
    @Excel(name = "是否是vip 0-否 1-超级vip 2-普通vip")
    @TableField("is_vip")
    @ApiModelProperty(value = "是否是vip 0-否 1-超级vip 2-普通vip")
    private Integer isVip;


    /** 驾校班型Id */
    @Excel(name = "联合id")
    @TableField("union_id")
    @ApiModelProperty(value = "联合id")
    private String unionId;


    /** app昵称 */
    @Excel(name = "第三方平台")
    @TableField("third_platform")
    @ApiModelProperty(value = "第三方平台")
    private String thirdPlatform;

    /** app昵称 */
    @Excel(name = "自身推荐码")
    @TableField("recommend_code")
    @ApiModelProperty(value = "自身推荐码")
    private String recommendCode;

    /** app昵称 */
    @Excel(name = "绑定推荐码")
    @TableField("bind_recommend_code")
    @ApiModelProperty(value = "绑定推荐码")
    private String bindRecommendCode;

    @ApiModelProperty(value = "直接收益金额,单位分")
    @TableField("profit_price")
    private Integer profitPrice;


}
