package com.miaxis.common.utils.uuid;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * ID生成器工具类
 * 
 * @author miaxis
 */
public class IdUtils
{
    /**
     * 获取随机UUID
     * 
     * @return 随机UUID
     */
    public static String randomUUID()
    {
        return UUID.randomUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线
     * 
     * @return 简化的UUID，去掉了横线
     */
    public static String simpleUUID()
    {
        return UUID.randomUUID().toString(true);
    }

    /**
     * 获取随机UUID，使用性能更好的ThreadLocalRandom生成UUID
     * 
     * @return 随机UUID
     */
    public static String fastUUID()
    {
        return UUID.fastUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线，使用性能更好的ThreadLocalRandom生成UUID
     * 
     * @return 简化的UUID，去掉了横线
     */
    public static String fastSimpleUUID()
    {
        return UUID.fastUUID().toString(true);
    }


    /**
     * 学员ID生成
     * @return
     */
    public static synchronized String getUserId() {
        Date date =new Date();
        String userId = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(date);
        return userId;
    }

}
