package com.miaxis.ad.service.impl;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

import com.baomidou.mybatisplus.core.metadata.TableInfo;
import com.baomidou.mybatisplus.core.metadata.TableInfoHelper;
import com.baomidou.mybatisplus.core.toolkit.Assert;
import com.baomidou.mybatisplus.core.toolkit.ReflectionKit;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.CacheConfig;
import org.springframework.cache.annotation.CachePut;
import org.springframework.stereotype.Service;
import com.miaxis.ad.mapper.AdInfoMapper;
import com.miaxis.ad.domain.AdInfo;
import com.miaxis.ad.service.IAdInfoService;

/**
 * adService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
@CacheConfig(cacheNames = "AdInfo")
public class AdInfoServiceImpl extends ServiceImpl<AdInfoMapper, AdInfo> implements IAdInfoService {
    @Autowired
    private AdInfoMapper adInfoMapper;

    /**
     * 查询ad列表
     *
     * @param adInfo ad
     * @return ad
     */
    @Override
    public List<AdInfo> selectAdInfoList(AdInfo adInfo){
        return adInfoMapper.selectAdInfoList(adInfo);
    }



}
