package com.miaxis.question.dto;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author miaxis
 * @date 2021-10-20
 */
@Data
@ApiModel(value = "QuestionInfoFlDTO", description = "返回精选分类")
public class QuestionInfoFlDTO extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;



    /** 是否是C1,C2,C3驾驶证题目 */
    @ApiModelProperty(value = "是否是C1,C2,C3驾驶证题目 1:是 2:否")
    private String liceCar;

    /** 是否是A1\A3\B1驾驶证题目 */
    @ApiModelProperty(value = "是否是A1,A3,B1驾驶证题目 1:是 2:否")
    private String liceBus;

    /** 是否是A2\B2驾驶证题目 */
    @ApiModelProperty(value = "是否是A2,B2驾驶证题目 1:是 2:否")
    private String liceTruck;

    /** 是否是D\E\F驾驶证题目 */
    @ApiModelProperty(value = "是否是D,E,F驾驶证题目 1:是 2:否")
    private String liceMoto;

    /** 科目 */
    @ApiModelProperty(value = "科目")
    private Integer subject;

    /** 模块名称 */
    @ApiModelProperty(value = "模块名称（模糊查询）")
    private String excellIssueName;

    /** 分类练习排序字段 */
    @ApiModelProperty(value = "分类练习排序字段")
    private Integer classSort;

    /** 精选考题排序字段 */
    @ApiModelProperty(value = "精选考题排序字段")
    private Integer excellSort;


    /** 顺序练习排序字段 */
    @ApiModelProperty(value = "顺序练习排序字段")
    private Integer sequeSort;


    /** 地方专题排序字段 */
    @ApiModelProperty(value = "地方专题排序字段")
    private Integer placeSort;



}
