package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.QuestionWrongListDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.miaxis.question.mapper.QuestionWrongMapper;
import com.miaxis.question.domain.QuestionWrong;
import com.miaxis.question.service.IQuestionWrongService;

/**
 * wrongService业务层处理
 *
 * @author miaxis
 * @date 2021-08-19
 */
@Service
public class QuestionWrongServiceImpl extends ServiceImpl<QuestionWrongMapper, QuestionWrong> implements IQuestionWrongService {
    @Autowired
    private QuestionWrongMapper questionWrongMapper;

    /**
     * 查询wrong列表
     *
     * @param questionWrong wrong
     * @return wrong
     */
    @Override
    public List<QuestionWrong> selectQuestionWrongList(QuestionWrongListDTO questionWrong){
        return questionWrongMapper.selectQuestionWrongList(questionWrong);
    }

    @Override
    public List<QuestionInfo> selectWrongByUserId(QuestionWrongListDTO dto) {
        return questionWrongMapper.selectWrongByUserId(dto);
    }

    @Override
    public Integer selectWrongCountByUserId(QuestionWrongListDTO dto) {
        return questionWrongMapper.selectWrongCountByUserId(dto);
    }
}
