package com.miaxis.score.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.score.domain.ScoreInfo;

/**
 * 模拟考成绩Mapper接口
 *
 * @author miaxis
 * @date 2021-08-23
 */
public interface ScoreInfoMapper extends BaseMapper<ScoreInfo> {
    /**
     * 查询模拟考成绩列表
     *
     * @param scoreInfo 模拟考成绩
     * @return 模拟考成绩集合
     */
    public List<ScoreInfo> selectScoreInfoList(ScoreInfo scoreInfo);


    /**
     * 返回
     * @param scoreInfo
     * @return
     */
    public int getAvgScore(ScoreInfo scoreInfo);


    /**
     * 返回
     * @param scoreInfo
     * @return
     */
    public List getLast10Score(ScoreInfo scoreInfo);

    /**
     * 返回最大成绩
     * @param scoreInfo
     * @return
     */
    public int getMaxScore(ScoreInfo scoreInfo);
}
