package com.miaxis.tt.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.tt.mapper.TtOrderMapper;
import com.miaxis.tt.domain.TtOrder;
import com.miaxis.tt.service.ITtOrderService;

/**
 * 头条订单Service业务层处理
 *
 * @author miaxis
 * @date 2022-05-19
 */
@Service
public class TtOrderServiceImpl extends ServiceImpl<TtOrderMapper, TtOrder> implements ITtOrderService {
    @Autowired
    private TtOrderMapper ttOrderMapper;

    /**
     * 查询头条订单列表
     *
     * @param ttOrder 头条订单
     * @return 头条订单
     */
    @Override
    public List<TtOrder> selectTtOrderList(TtOrder ttOrder){
        return ttOrderMapper.selectTtOrderList(ttOrder);
    }
}
