package com.miaxis.vip.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 激活码对象 vip_code
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Data
@TableName("vip_code")
@ApiModel(value = "VipCode", description = "激活码对象 vip_code")
public class QueryVipCodeListDTO extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;


    /** 激活码 */
    @Excel(name = "激活码")
    @TableField("vip_code")
    @ApiModelProperty(value = "激活码")
    private String vipCode;

    /** 激活状态 0-未激活 1-已激活 2-已作废 */
    @Excel(name = "激活状态 0-未激活 1-已激活 2-已作废")
    @TableField("status")
    @ApiModelProperty(value = "激活状态 0-未激活 1-已激活 2-已作废")
    private Integer status;


    @ApiModelProperty(value = "激活开始时间，格式yyyyMMdd")
//    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private String startTime;


    @ApiModelProperty(value = "激活结束时间，格式yyyyMMdd")
//    @JsonFormat(pattern="yyyyMMdd",timezone = "GMT+8")
    private String endTime;

    @ApiModelProperty(value = "代理商id")
    private Long agentId;


}
