package com.miaxis.vip.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 激活码对象 vip_code
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Data
public class VipCodeListVo {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 激活码 */
    @Excel(name = "激活码")
    @TableField("vip_code")
    @ApiModelProperty(value = "激活码")
    private String vipCode;

    /** 激活状态 0-未激活 1-已激活 2-已作废 */
    @Excel(name = "激活状态 0-未激活 1-已激活 2-已作废")
    @TableField("status")
    @ApiModelProperty(value = "激活状态 0-未激活 1-已激活 2-已作废")
    private Integer status;

    /** 激活时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "激活时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("activation_time")
    @ApiModelProperty(value = "激活时间")
    private Date activationTime;

    /** 激活用户id */
    @Excel(name = "激活用户id")
    @TableField("activation_user_id")
    @ApiModelProperty(value = "激活用户id")
    private Long activationUserId;

    /** 激活码 */
    @Excel(name = "激活用户名称")
    @TableField("activation_user_name")
    @ApiModelProperty(value = "激活用户名称")
    private String activationUserName;

    /** 激活码 */
    @Excel(name = "代理商id")
    @TableField("agent_id")
    @ApiModelProperty(value = "代理商id")
    private Long agentId;

    /** 激活码 */
    @Excel(name = "代理商名称")
    @TableField("agent_name")
    @ApiModelProperty(value = "代理商名称")
    private String agentName;






}
