package com.miaxis.vip.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.system.service.ISysUserService;
import com.miaxis.vip.dto.QueryVipCodeListDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.vip.mapper.VipCodeMapper;
import com.miaxis.vip.domain.VipCode;
import com.miaxis.vip.service.IVipCodeService;

/**
 * 激活码Service业务层处理
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Service
public class VipCodeServiceImpl extends ServiceImpl<VipCodeMapper, VipCode> implements IVipCodeService {
    @Autowired
    private VipCodeMapper vipCodeMapper;


    @Autowired
    private ISysUserService sysUserService;

    /**
     * 查询激活码列表
     *
     * @param vipCode 激活码
     * @return 激活码
     */
    @Override
    public List<VipCode> selectVipCodeList(QueryVipCodeListDTO vipCode){
        return vipCodeMapper.selectVipCodeList(vipCode);
    }


}
