package com.miaxis.wx.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WxOrderCreateDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "购票类型: 1-竞价购票 2-秒出票" ,required=true,allowableValues ="1,2")
    private int ticketType;

    @ApiModelProperty(value = "总金额, 单位分")
    private int total;

    @ApiModelProperty(value = "排期的showId,由影院接口得来")
    private String showId;

    /** 商品名称 */
//    @ApiModelProperty(value = "商品类型")
//    private String goodsType;

    /** 商品名称 */
    @ApiModelProperty(value = "商品图片地址")
    private String goodsPictureUrl;

    @ApiModelProperty(value = "影院id")
    private String cinemaId;

    @ApiModelProperty(value = "用户所选的座位，例：1排1座,1排2座 以英文的逗号 “ , “隔开。 如果座位是情侣座，请传入 ： 1排1座(情侣座),1排2座(情侣座)")
    private String seat;

    @ApiModelProperty(value = "商家订单id")
    private String thirdOrderId;

    @ApiModelProperty(value = "预留的手机号")
    private String reservedPhone;


    @ApiModelProperty(value = "是否允许调座，1-允许，0-不允许")
    private Integer acceptChangeSeat;

    @ApiModelProperty(value = "座位接口的seatId字段， 如果有多个，则以竖线分割")
    private String seatId;


    @ApiModelProperty(value = "座位接口的seatNo字段，如果有多个，则以竖线分割")
    private String seatNo;




}
