package com.miaxis.wx.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 微信支付回调 dto
 */
@Data
public class WxOrderNotifyDTO {
    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "时间戳")
    private String time;


    @ApiModelProperty(value = "订单状态发生变更时的事件如： ORDER_CLOSE")
    private String eventName;


    @ApiModelProperty(value = "接入方下单时的订单号")
    private String thirdOrderId;

    @ApiModelProperty(value = "回调地址，各个场景发生时，将通过此地址通知接入方")
    private String notifyUrl;




    @ApiModelProperty(value = "api下单成本价（竞价结束回调通知返回：WAIT_TICKET场景）")
    private String orderPrice;


    @ApiModelProperty(value = "如果事件为订单关闭 ORDER_CLOSE 则有此字段")
    private String closeCause;

    @ApiModelProperty(value = "实际出票座位，仅供参考，可能与票不一样，也可能为空，一般当实际座位与下单座位不一样时会有")
    private String realSeat;



    @ApiModelProperty(value = "取票码字符串如： “[\\”123123\\”,\\”4564357\\”]” 直接用json解析可得到数组，如取票失败则用使用原始截图")
    private String ticketCode;

    @ApiModelProperty(value = "取票码原始截图如： “[\\”http:\\\\/\\\\/shoutudyp.oss-cn-shenzhen.aliyuncs.com\\\\/b768007aa9071eba3e3018a27dcc47c0.png\\”,\\”http:\\\\/\\\\/shoutudyp.oss-cn-shenzhen.aliyuncs.com\\\\/f9774915e35fae41ae96ebf288477394.jpg\\”]” 直接用json解析可得到数组")
    private String ticketImage;






}
