package com.miaxis.wx.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 微信支付回调 dto
 */
@Data
public class WxpayNotifyDTO {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "通知的唯一ID")
    private String id;

    @ApiModelProperty(value = "创建的时间,rfc3339标准格式")
    private String create_time;

    @ApiModelProperty(value = "通知的类型，支付成功通知的类型为TRANSACTION.SUCCESS")
    private String event_type;


    @ApiModelProperty(value = "通知的资源数据类型")
    private String resource_type;


    @ApiModelProperty(value = "数据资源")
    private WxpaySource resource;

    @ApiModelProperty(value = "回调摘要")
    private String summary;


    @Data
    public class WxpaySource{
        @ApiModelProperty(value = "对开启结果数据进行加密的加密算法，目前只支持AEAD_AES_256_GCM")
        private String algorithm;
        @ApiModelProperty(value = "Base64编码后的开启/停用结果数据密文")
        private String ciphertext;
        @ApiModelProperty(value = "附加数据")
        private String associated_data;
        @ApiModelProperty(value = "原始回调类型，为transaction")
        private String original_type;
        @ApiModelProperty(value = "加密使用的随机串")
        private String nonce;


    }



}
