package com.miaxis.wx.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.wx.domain.RefundRecord;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.dto.WxNotifyReturnDTO;

import java.util.List;

/**
 * 微信退款记录Service接口
 *
 * @author miaxis
 * @date 2021-05-18
 */
public interface IRefundRecordService extends IService<RefundRecord>{
    /**
     * 查询微信退款记录列表
     *
     * @param refundRecord 微信退款记录
     * @return 微信退款记录集合
     */
    public List<RefundRecord> selectRefundRecordList(RefundRecord refundRecord);

    RefundRecord getByRefundId(String refundId);

    WxNotifyReturnDTO refund(WxOrder wxOrder, String refundCode, String failCause) throws Exception;
}
