package com.miaxis.system.dto.system;

import com.miaxis.common.core.domain.entity.SysUser;
import com.miaxis.common.core.domain.entity.UserInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Set;

/**
 * 【用户信息】DTO
 *
 * @author JuniorRay
 * @date 2020-11-11
 */
@ApiModel(value = "UserInfoDTO", description = "用户信息DTO")
@Data
public class UserInfoDTO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "系统用户信息")
    private SysUser user;

    @ApiModelProperty(value = "学员用户信息")
    private UserInfo student;

    @ApiModelProperty(value = "角色集合")
    private Set<String> roles;

    @ApiModelProperty(value = "权限集合")
    private Set<String> permissions;
}
